import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;	

public class CRUDTest {

	/**
	 * CRUD 테스트
	 */
	Connection con;
	
	static{
		try{
			Class.forName("oracle.jdbc.driver.OracleDriver");
		}
		catch(ClassNotFoundException cne){
			cne.printStackTrace();
		}
	}
	public void connect(){
		try{
			con = DriverManager.getConnection("jdbc:oracle:thin:@localhost:1521:XE",
					"java", "java");
			System.out.println("Connection Success!");
		}
		catch(SQLException se){
			se.printStackTrace();
		}
	}
	public void insert(){
		Statement stmt = null;
		try{
			stmt = con.createStatement();
			String sql = "INSERT INTO member VALUES('aaa','1111','오정원',22,'남자','a@a.com')";
			int count = stmt.executeUpdate(sql);
			if(count > 0){
				System.out.println("insert success!");
			}
			else{
				System.out.println("insert fail");
			}
		}
		catch(SQLException se){
			System.out.println("insert fail");
			se.printStackTrace();
		}
		finally{
			try{
				stmt.close();
				con.close();
			}
			catch(Exception e){
				e.printStackTrace();
			}
		}
	}
	public void select(){
		Statement stmt = null;
		ResultSet rs = null;
		try{
			stmt = con.createStatement();
			String sql = "SELECT * FROM member";
			rs = stmt.executeQuery(sql);
			while(rs.next()){
				System.out.println("아이디 : " + rs.getString(1) + ",비밀번호 : " 
			+ rs.getString("passwd") + ",이름 : " + rs.getString("name") + 
			",나이 : " + rs.getInt("age") + ",성별 : " + rs.getString("gender") + 
			",이메일 : " + rs.getString("email"));
			}			
		}
		catch(SQLException se){
			se.printStackTrace();
		}
		finally{
			try{
				stmt.close();
				con.close();
			}
			catch(Exception e){
				e.printStackTrace();
			}
		}
	}
	public void update(){
		Statement stmt = null;
		try{
			stmt = con.createStatement();
			String sql = "UPDATE member SET gender = '여자' WHERE id = 'aaa'";
			int count = stmt.executeUpdate(sql);
			if(count > 0){
				System.out.println("update success!");
			}
			else{
				System.out.println("update fail");
			}
		}
		catch(SQLException se){
			System.out.println("update fail");
			se.printStackTrace();
		}
		finally{
			try{
				stmt.close();
				con.close();
			}
			catch(Exception e){
				e.printStackTrace();
			}
		}
	}
	public void delete(){
		Statement stmt = null;
		try{
			stmt = con.createStatement();
			String sql = "DELETE member WHERE id = 'aaa'";
			int count = stmt.executeUpdate(sql);
			if(count > 0){
				System.out.println("delete success!");
			}
			else{
				System.out.println("delete fail");
			}
		}
		catch(SQLException se){
			System.out.println("delete fail");
			se.printStackTrace();
		}
		finally{
			try{
				stmt.close();
				con.close();
			}
			catch(Exception e){
				e.printStackTrace();
			}
		}
	}
	public static void main(String[] args) {
		// TODO Auto-generated method stub
		CRUDTest st = new CRUDTest();
		st.connect();
		st.insert();
		
		System.out.println("insert 수행 후");
		st.connect();
		st.select();
		
		st.connect();
		st.update();
		
		System.out.println("update 수행 후");
		st.connect();
		st.select();
		
		st.connect();
		st.delete();
		
		System.out.println("delete 수행 후");
		st.connect();
		st.select();				
	}

}
