interface Connector{
	
	void connect();
	
}

class OracleConnector implements Connector{
	
	@Override
	public void connect() {
		// TODO Auto-generated method stub
		System.out.println("Oracle 연결됨");
	}
	
}

class MySQLConnector implements Connector{
	
	@Override
	public void connect() {
		// TODO Auto-generated method stub
		System.out.println("mySQL 연결됨");
	}
	
}

class ConnectorFactory {
	
	public static Connector getConnector(String dbmsName) {
		Connector connector = null;
		
		if(dbmsName.contentEquals("oracle")) {
			connector = new OracleConnector();
		}
		else if(dbmsName.contentEquals("mysql")) {
			connector = new MySQLConnector();
		}
		
		return connector;
	}

}

public class InterfaceTest4 {

	public static void main(String[] args) {
		// TODO Auto-generated method stub
		Connector oracleConnector = ConnectorFactory.getConnector("oracle");
		oracleConnector.connect();
		Connector mySQLConnector = ConnectorFactory.getConnector("mysql");
		mySQLConnector.connect();
	}

}

